<template lang="pug">
BaseAnimationGroup(:appear='true').row
  .col-12.py-3.justify-content-center.d-flex(key='noDns' v-if='$butils.isEmpty(dns)')
    span.alert.alert-secondary Please select an experiment area...
  template(v-else)
    .col-12.pb-3(key='beamLineInfo')
      .row
        .col-12.col-sm-6.col-xl-4.py-3
          VacuumAdministrationLink
      hr
      .row
        .col-12.col-sm-6.col-xl-4.py-3
          VGRVacuumPressure
        .col-12.col-sm-6.col-xl-4.py-3
          VPPVacuumPumpState
        .col-12.col-sm-6.col-md-4.py-3
          VVSValvePositions
</template>

<script>

export { default } from './BeamLineLayout.vue.js';

</script>

<style lang='scss'>
// Class used from all the child components
.x-vp {
  .table {
    td, th {
      vertical-align: middle;
      text-align: center;
      font-size: 0.9rem;
    }
    td pre {
      text-align: center;
      vertical-align: middle;
      white-space: pre-wrap;
      margin-bottom: 0;
    }
  }
}
</style>
